Bug 589378 - debugmode: environment variables are not exported
debugmode: environment variables are not exported
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 592102
  Show dependency treegraph
 
Reported: 2010-05-05 21:35 EDT by Matt McCutchen
Modified: 2014-03-16 23:23 EDT (History)
7 users (show)

See Also:
Fixed In Version: initscripts-9.12.1-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 592102 (view as bug list)
Environment:
Last Closed: 2010-07-01 14:46:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
export environment variables in debugmode (575 bytes, patch)
2010-05-07 08:18 EDT, Petr Lautrbach
no flags Details | Diff

  None (edit)
Description Matt McCutchen 2010-05-05 21:35:53 EDT
Description of problem:
The environment variables set by the "debugmode" package are not exported (at least in bash), so the only processes that receive the benefits of debug mode are interactive shells.  The variables should be exported.

Version-Release number of selected component (if applicable):
debugmode-9.02.2-1.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Make sure the "debugmode" package is installed and enabled.
2. env | grep -e MALLOC_ -e G_SLICE

Actual results:
No output.

Expected results (example):
MALLOC_CHECK_=1
G_SLICE=debug-blocks
MALLOC_PERTURB_=141
Comment 1 Petr Lautrbach 2010-05-07 08:18:50 EDT
Created attachment 412323 [details]
export environment variables in debugmode

/etc/profile.d/debug.sh: export all non-comment lines instead of sourcing /etc/sysconfig/debug
Comment 2 Matt McCutchen 2010-05-07 11:53:45 EDT
Gah, more sed mess.  Maybe the design should be fixed first (I entered bug 590063).
Comment 3 Bill Nottingham 2010-05-13 16:50:45 EDT
Cheesier-but-more-efficient fix committed as http://git.fedorahosted.org/git/?p=initscripts.git;a=commitdiff;h=deb0df0124fbe9b645755a0a44c7cb8044f24719
(debug.csh was set up to handle this already.)

Will be in 9.13-1, backported to F-12 and F-13 branches for future updates.
Comment 4 Fedora Update System 2010-06-24 15:32:35 EDT
initscripts-9.12.1-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/initscripts-9.12.1-1.fc13
Comment 5 Fedora Update System 2010-06-25 14:14:19 EDT
initscripts-9.12.1-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update initscripts'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/initscripts-9.12.1-1.fc13
Comment 6 Fedora Update System 2010-07-01 14:45:34 EDT
initscripts-9.12.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.